# E-shop to e-Leasing+ forwarding GET /eshop/:appl-token/v2/redirect Client from the E-shop is redirected to the e-Leasing+ system during this process. This communication happens at the level of Clients web browser. Therefore, the most important information regarding the E-shop shopping cart is provided during the process of application creation (during the background "Server To Server" process). ### e-Leasing+ to E-shop forwarding Client is forwarded/returned from the e-Leasing+ system to the E-shop during this process. HTML form is composed containing appl_token and order_id as parameters for the forwarding. Application token will be used to identify shopping cart in Leasing+ and order id and uuid will be used for validation. GET method forwards Client along with the parameters to the E-shop return_url address (see chapter). E-shop must check the status of contract at this step - endpoint ...eshop/v2/check (see chapter). Endpoint: GET /eshop/{appl-token}/v2/redirect Security: apiKeyAuth ## Path parameters: - `appl-token` (string, required) Unique Leasing application token. Example: "0E7F74967CA051F45E14AE2B0E6EB1B70A3292EE" ## Response 401 fields (application/json): - `message` (string) Unauthorized Example: "unauthorized" ## Response 404 fields (application/json): - `message` (string) Not Found Example: "not_found" ## Response 422 fields (application/json): - `message` (string) Unprocessable Entity ## Response 200 fields